<script lang="ts">
    import {Icon, Image} from "@higenku/theme"

    let title: string, content: string, image: string, url: string, icon: string


    export { title, content, image, url, icon}
</script>

<section class="card my-2">
    <div class="d-flex justify-between flex-sm-col-reverse">
        <div>

            <div class="d-flex flex-row items-center">
                <Icon name="{icon}" size="lg" classes="avatar squared"/>
                <h2 style="width: fit-content;" class="ml-1">  {title} </h2>
            </div>
            <p style="font-size: 1.5rem;">{@html content}</p>
        </div>
        <Image
            src="{image}"
            alt="{title} Logo"
            lazy={true}
            style="width: 500px; height: 400px;"
        />
    </div>
    <div class="d-flex justify-start">
        <a href="{url}" target="_blank" rel="noopener noreferrer">Open the app</a>

    </div>
</section>